cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/locations/<locationId>/availabilityconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"locationAvailability": {
"locationId": "<string>",
"weeklyPattern": [
{
"dayOfWeek": 123,
"isDayOff": true,
"allowedEventTemplateIds": [
"<string>"
],
"slots": [
{
"startTime": "<string>",
"endTime": "<string>",
"allowedEventTemplateIds": [
"<string>"
]
}
]
}
],
"overrides": [
{
"date": "2023-11-07T05:31:56Z",
"type": "DayOff",
"reason": "<string>",
"allowedEventTemplateIds": [
"<string>"
],
"slots": [
{
"startTime": "<string>",
"endTime": "<string>",
"allowedEventTemplateIds": [
"<string>"
]
}
]
}
],
"settings": {
"maxBookingFutureDays": 123,
"minBookingNoticeMinutes": 123,
"bufferBetweenSessions": 123,
"blockCalendarCheck": true,
"allowedEventTemplateIds": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Location availability
Get location availability template
Requires location_availability:read. Returns the weekly pattern, overrides, and booking-rule template for one location. This is a management endpoint; use GET /public/v1/availability with filters to list slots that a client can book.
GET
/
public
/
v1
/
locations
/
{locationId}
/
availability
cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/locations/<locationId>/availabilityconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/locations/{locationId}/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/locations/{locationId}/availability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"locationAvailability": {
"locationId": "<string>",
"weeklyPattern": [
{
"dayOfWeek": 123,
"isDayOff": true,
"allowedEventTemplateIds": [
"<string>"
],
"slots": [
{
"startTime": "<string>",
"endTime": "<string>",
"allowedEventTemplateIds": [
"<string>"
]
}
]
}
],
"overrides": [
{
"date": "2023-11-07T05:31:56Z",
"type": "DayOff",
"reason": "<string>",
"allowedEventTemplateIds": [
"<string>"
],
"slots": [
{
"startTime": "<string>",
"endTime": "<string>",
"allowedEventTemplateIds": [
"<string>"
]
}
]
}
],
"settings": {
"maxBookingFutureDays": 123,
"minBookingNoticeMinutes": 123,
"bufferBetweenSessions": 123,
"blockCalendarCheck": true,
"allowedEventTemplateIds": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1,
"retryAfterSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_....
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"
⌘I